Javascript Timer Timer for Javascript

You are looking at v3 demos, switch to Mobiscroll 4?

Timer for Javascript

light
dark

Change the theme setting here

Timer - Countdown

Change demo
Countdown
Javascript Countdown timer with start, stop, reset controls, wheel settings for year, month, day, hour, minute, second, fract. Plain JS api for usage everywhere.

Timer - Stopwatch

Change demo
Stopwatch
Javascript Stopwatch demo with start, stop controls and lap counter. Change the steps and display wheels. Plain JS api for usage everywhere.

Timer - Event handlers

Change demo
Event handlers
Javascript Timer demo with event hooks for custom integration and functionality. Plain JS api for usage everywhere.
Clear event log
EVENTS FIRED: 
var instance = mobiscroll.timer('#demo', {
    lang: ' ',
    theme: ' ',
    themeVariant: ' ',
    display: 'inline',
    lap: function (event, inst) {
        // Your custom event handler goes here
    },
    onInit: function (event, inst) {
        // Your custom event handler goes here
    },
    onMarkupReady: function (event, inst) {
        // Your custom event handler goes here
    },
    onBeforeShow: function (event, inst) {
        // Your custom event handler goes here
    },
    onPosition: function (event, inst) {
        // Your custom event handler goes here
    },
    onShow: function (event, inst) {
        // Your custom event handler goes here
    },
    onSet: function (event, inst) {
        // Your custom event handler goes here
    },
    onStart: function (event, inst) {
        // Your custom event handler goes here
    },
    onStop: function (event, inst) {
        // Your custom event handler goes here
    },
    onFinish: function (event, inst) {
        // Your custom event handler goes here
    },
    onReset: function (event, inst) {
        // Your custom event handler goes here
    },
    onItemTap: function (event, inst) {
        // Your custom event handler goes here
    },
    onDestroy: function (event, inst) {
        // Your custom event handler goes here
    },
    onClose: function (event, inst) {
        // Your custom event handler goes here
    },
    onChange: function (event, inst) {
        // Your custom event handler goes here
    },
    onCancel: function (event, inst) {
        // Your custom event handler goes here
    },
    onBeforeClose: function (event, inst) {
        // Your custom event handler goes here
    },
    onClear: function (event, inst) {
        // Your custom event handler goes here
    }
});
<div id="demo"></div>

Timer - Display modes

Change demo
Display modes
Javascript Timer demo with top, bottom, popup, center, modal, bubble and inline embeddable display modes. Plain JS api for usage everywhere.

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos

React Timer Timer for React

You are looking at v3 demos, switch to Mobiscroll 4?

Timer for React

light
dark

Change the theme setting here

Timer - Countdown

Change demo
Countdown
React Countdown timer with start, stop, reset controls, wheel settings for year, month, day, hour, minute, second, fract. For React and Next.JS.

Timer - Stopwatch

Change demo
Stopwatch
React Stopwatch demo with start, stop controls and lap counter. Change the steps and display wheels. For React and Next.JS.

Timer - Event handlers

Change demo
Event handlers
React Timer demo with event hooks for custom integration and functionality. For React and Next.JS.
Clear event log
EVENTS FIRED: 
var TimerDemo = React.createClass({
    lap: function (event, inst) {
        // Your custom event handler goes here
    },
    onInit: function (event, inst) {
        // Your custom event handler goes here
    },
    onMarkupReady: function (event, inst) {
        // Your custom event handler goes here
    },
    onBeforeShow: function (event, inst) {
        // Your custom event handler goes here
    },
    onPosition: function (event, inst) {
        // Your custom event handler goes here
    },
    onShow: function (event, inst) {
        // Your custom event handler goes here
    },
    onSet: function (event, inst) {
        // Your custom event handler goes here
    },
    onStart: function (event, inst) {
        // Your custom event handler goes here
    },
    onStop: function (event, inst) {
        // Your custom event handler goes here
    },
    onFinish: function (event, inst) {
        // Your custom event handler goes here
    },
    onReset: function (event, inst) {
        // Your custom event handler goes here
    },
    onItemTap: function (event, inst) {
        // Your custom event handler goes here
    },
    onDestroy: function (event, inst) {
        // Your custom event handler goes here
    },
    onClose: function (event, inst) {
        // Your custom event handler goes here
    },
    onChange: function (event, inst) {
        // Your custom event handler goes here
    },
    onCancel: function (event, inst) {
        // Your custom event handler goes here
    },
    onBeforeClose: function (event, inst) {
        // Your custom event handler goes here
    },
    onClear: function (event, inst) {
        // Your custom event handler goes here
    },
    render: function() {
        return (
            <div>
                <mobiscroll.Timer 
                    ref="timer"
                    theme=" " 
                    themeVariant=" "
                    lang=" "
                    display="inline"
                    lap={this.lap}
                    onInit={this.onInit}
                    onMarkupReady={this.onMarkupReady}
                    onBeforeShow={this.onBeforeShow}
                    onPosition={this.onPosition}
                    onShow={this.onShow}
                    onSet={this.onSet}
                    onStart={this.onStart}
                    onStop={this.onStop}
                    onFinish={this.onFinish}
                    onReset={this.onReset}
                    onItemTap={this.onItemTap}
                    onDestroy={this.onDestroy}
                    onClose={this.onClose}
                    onChange={this.onChange}
                    onCancel={this.onCancel}
                    onBeforeClose={this.onBeforeClose}
                    onClear={this.onClear}
                    type="hidden"
                />
            </div>
        );
    }    
});

<div id="content"></div>

Timer - Display modes

Change demo
Display modes
React Timer demo with top, bottom, popup, center, modal, bubble and inline embeddable display modes. For React and Next.JS.

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Introducing the next generation of Mobiscroll

The Mobiscroll 5 Beta 4 includes the brand new Scheduler, Agenda and Event calendar, Date, time, calendar and Range picker components.

We’ll be gradually adding more components and functionality. If you want to give the new version a go, you can check them out below.

Other highlights
  • Redesigned event calendar, scheduler with drag & drop
  • A new way of working with recurring events
  • Updated themes with dynamic dark mode
  • New date & time pickers
  • Range picker with advanced customization
  • Dynamic options with global updates
Read the full blogpost
Get in touch
Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic 

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular 

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Need to update your password?
Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Demos
Theme Select
Mobiscroll
Mobiscroll Dark
Material
Material Dark
iOS
iOS Dark
Android Holo
Android Holo Light
jQuery Mobile
Windows Phone
Windows Phone Light
Language Locale
See other demos and change options
Theme
Locale
See other demos

Timer for Angular and Ionic Framework

Updated on May 17, 2021
Learn More

Angular and Ionic Timer Timer for Angular and Ionic Framework

Timer - Countdown

Change demo
Countdown
Angular Countdown timer with start, stop, reset controls, wheel settings for year, month, day, hour, minute, second, fract. For Angular 22 and Ionic 8.
Copy code

Timer - Stopwatch

Change demo
Stopwatch
Angular Stopwatch demo with start, stop controls and lap counter. Change the steps and display wheels. For Angular 22 and Ionic 8.
Copy code

Timer - Event handlers

Change demo
Event handlers
Angular Timer demo with event hooks for custom integration and functionality. For Angular 22 and Ionic 8.
Clear event log
EVENTS FIRED: 
Copy code
import { Component } from '@angular/core';
import { MbscTimerOptions } from '@mobiscroll/angular';

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html'
})
export class AppComponent {
    timer: number;

    timerSettings: MbscTimerOptions = {
        lang: ' ',
        theme: ' ',
        themeVariant: ' ',
        display: 'inline',
        mode: 'stopwatch',
        onLap: (event, inst) => {
            // Your custom event handler goes here
        },
        onInit: (event, inst) => {
            // Your custom event handler goes here
        },
        onMarkupReady: (event, inst) => {
            // Your custom event handler goes here
        },
        onBeforeShow: (event, inst) => {
            // Your custom event handler goes here
        },
        onPosition: (event, inst) => {
            // Your custom event handler goes here
        },
        onShow: (event, inst) => {
            // Your custom event handler goes here
        },
        onSet: (event, inst) => {
            // Your custom event handler goes here
        },
        onStart: (event, inst) => {
            // Your custom event handler goes here
        },
        onStop: (event, inst) => {
            // Your custom event handler goes here
        },
        onFinish: (event, inst) => {
            // Your custom event handler goes here
        },
        onReset: (event, inst) => {
            // Your custom event handler goes here
        },
        onItemTap: (event, inst) => {
            // Your custom event handler goes here
        },
        onDestroy: (event, inst) => {
            // Your custom event handler goes here
        },
        onClose: (event, inst) => {
            // Your custom event handler goes here
        },
        onChange: (event, inst) => {
            // Your custom event handler goes here
        },
        onCancel: (event, inst) => {
            // Your custom event handler goes here
        },
        onBeforeClose: (event, inst) => {
            // Your custom event handler goes here
        },
        onClear: (event, inst) => {
            // Your custom event handler goes here
        }
    };
}
<div [(ngModel)]="timer" mbsc-timer [mbsc-options]="timerSettings"></div>
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { HttpClientModule, HttpClientJsonpModule } from '@angular/common/http';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { MbscModule } from '@mobiscroll/angular';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule,
    MbscModule,
    FormsModule,
    ReactiveFormsModule,
    HttpClientModule,
    HttpClientJsonpModule
  ],
  bootstrap: [AppComponent]
})
export class AppModule { }

Timer - Display modes

Change demo
Display modes
Angular Timer demo with top, bottom, popup, center, modal, bubble and inline embeddable display modes. For Angular 22 and Ionic 8.
Copy code

Timer - Theming capabilities

Change demo
Theming capabilities

The look and feel of the timer can be deeply customized. There are four levels of customization:

  • Base themes: Choose between Mobiscroll, iOS, Android Material and Windows.
  • Light or dark: Every theme has a light and dark variant. Setting the themeVariant to 'auto' will switch based on system settings.
  • Custom themes: Use the theme builder to customize the colors and make it match your brand.
  • Custom CSS: If you need further customization, the sky is the limit with CSS overrides.

You can also see how every example looks by changing the theme from the header.

Copy code

Looking for something you didn't see or have a sales question?
Ask us about it, we're here to help.

Customize & try demos locally
Sign in or start your free trial

What framework are you using?

Javascript
jQuery
AngularJS
Angular
React
Other
Ionic Angular
Email address

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Create an Ionic 3 & Mobiscroll starter with the CLI:

$ mobiscroll start ionic myStarter

Run this command for Ionic 4 & Mobiscroll starter:

$ mobiscroll start ionic-angular myStarter

Step 3.Copy the code into your app.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Ionic project

Copy command
$ mobiscroll config ionic --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Run this command for Ionic 5 & React Mobiscroll starter:

$ mobiscroll start react-ionic myStarter

Step 3.Copy the code into your app.

Copy TSX
Copy CSS

Step 4.Run ionic serve in the root folder of your app 🎉

Copy command
$ ionic serve

And voilà, everything should be running smoothly.

Customize & try demos locally
How would you like to do it?
Install demo in your app
Follow this quick, two minute install guide
Close window

Step 1.Install the Mobiscroll CLI from npm

Copy command
$ npm install -g @mobiscroll/cli

The CLI makes configuring your apps super simple 👍

Step 2.Run the following command in the root folder of your Angular project

Copy command
$ mobiscroll config angular --version=4

You will be prompted to log in with your mobiscroll account. Set your password here

Step 3.Copy the code into your app. HTML goes into the markup, TS into Typescript.

Copy TS
Copy HTML
Copy CSS
Copy Module

Step 4.Run ng serve in the root folder of your app 🎉

Copy command
$ ng serve

And voilà, everything should be running smoothly.

Thanks for downloading
Try and customize the app locally

Extract the zip file and run the project like any Ionic app. Make sure to have Ionic CLI installed and open the terminal in the app root folder.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ionic serve

Let us know if we can help and enjoy!

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

Extract the zip file and open the demo in your favorite browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Please extract the zip file and run the project like any Angular CLI app. Make sure to have the Angular CLI installed.

For installation and usage, extract the zip file and open a terminal window and follow these steps.

Step 1. Run in root folder
$ npm install
Step 2. Start the app
$ ng serve --open

Let us know if we can help and enjoy! 👍

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The easiest way to get started is to follow the installation steps and by grabbing the code directly from the demo page. Let us know if we can help and enjoy! 👍

You'll find a fully functional Kitchen-sink Ionic app in the zip file.

Thanks for downloading
Customize demos locally

Everything is set up so that you can dig in right away and start exploring.

We have set up a trial so that you can try the demos locally.

The demos are using Babel's in-browser ES6 and JSX transformer.
Extract the zip file and open the demo in your browser. To install Mobiscroll in your project follow instructions from this page.


Let us know if we can help and enjoy! 👍

Customize & try this demo locally
Sign in or start your free trial

We have to set you up with a trial for this to run 👍

Email address

Need to update your password?
Demos
Theme Select
Mobiscroll
Material
Material Dark
iOS
iOS Dark
Windows
Windows Dark
Language Locale
See other demos and change options
Theme
Locale
See other demos